Index: /trunk/doc/Flair/_object_8h.js
===================================================================
--- /trunk/doc/Flair/_object_8h.js	(revision 97)
+++ /trunk/doc/Flair/_object_8h.js	(revision 98)
@@ -6,4 +6,5 @@
     [ "Err", "_object_8h.html#a855a0b471afb53d73f572c402f1737e0", null ],
     [ "Info", "_object_8h.html#ad436e1e1d6bf1c744f5eca58bfa1fcc8", null ],
+    [ "SimpleWarn", "_object_8h.html#a9d19b6dff7f8f4d262ee557b81ea4015", null ],
     [ "TIME_INFINITE", "_object_8h.html#ae1568cf3090c973c3bc47f86ae2f5afb", null ],
     [ "TIME_NONBLOCK", "_object_8h.html#a9b03c04ef7c1cc240afc43e9ef8ba8b7", null ],
Index: /trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 98)
@@ -1,10 +1,6 @@
 var classflair_1_1actuator_1_1_simu_bldc =
 [
-    [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#ad960e5a34f19d664b1b576eea826997f", null ],
-    [ "~SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8", null ],
     [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b", null ],
     [ "~SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8", null ],
-    [ "HasSpeedMeasurement", "classflair_1_1actuator_1_1_simu_bldc.html#a6d604089c8494c27f8382359327e7fb6", null ],
-    [ "HasCurrentMeasurement", "classflair_1_1actuator_1_1_simu_bldc.html#a3a97075384649f5a11fd70bf7749fbe1", null ],
     [ "GetSpeeds", "classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1actuator_1_1_simulated_bldc.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1actuator_1_1_simulated_bldc.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1actuator_1_1_simulated_bldc.js	(revision 98)
@@ -0,0 +1,7 @@
+var classflair_1_1actuator_1_1_simulated_bldc =
+[
+    [ "SimulatedBldc", "classflair_1_1actuator_1_1_simulated_bldc.html#a7df74094c8c31b89644558a2d0ed2cb3", null ],
+    [ "~SimulatedBldc", "classflair_1_1actuator_1_1_simulated_bldc.html#ac92ef4167fcc44805e821a7236b4b9ed", null ],
+    [ "HasSpeedMeasurement", "classflair_1_1actuator_1_1_simulated_bldc.html#a79dcf8fd325921f16b589c8edd4fbcaf", null ],
+    [ "HasCurrentMeasurement", "classflair_1_1actuator_1_1_simulated_bldc.html#aef7767956205e118e0e61013a4782f0a", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1filter_1_1_simulated_ahrs.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1filter_1_1_simulated_ahrs.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1filter_1_1_simulated_ahrs.js	(revision 98)
@@ -0,0 +1,5 @@
+var classflair_1_1filter_1_1_simulated_ahrs =
+[
+    [ "SimulatedAhrs", "classflair_1_1filter_1_1_simulated_ahrs.html#ad1c55a8c29398f2806a4fd8507b1874e", null ],
+    [ "~SimulatedAhrs", "classflair_1_1filter_1_1_simulated_ahrs.html#a8d8866e4c5b9dd08c1f84cb3a94358e6", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1meta_1_1_meta_vrpn_object.js	(revision 98)
@@ -1,6 +1,6 @@
 var classflair_1_1meta_1_1_meta_vrpn_object =
 [
-    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#ae263b57e7b09be7082ff8f8c9121e888", null ],
-    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#a751b751083917b3dd6d355b5c9842d82", null ],
+    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#a68c5aa2b14d7d8eb4a5c600497dad65f", null ],
+    [ "MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#a2fcca0684a4ff6127a35cb742840a671", null ],
     [ "~MetaVrpnObject", "classflair_1_1meta_1_1_meta_vrpn_object.html#ab95f8fb0c9debbb5aa0c8230da882355", null ],
     [ "VxPlot", "classflair_1_1meta_1_1_meta_vrpn_object.html#aaaceb43a7ea27eca33e1b81557669845", null ],
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_camera.js	(revision 98)
@@ -1,8 +1,6 @@
 var classflair_1_1sensor_1_1_simu_camera =
 [
-    [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa79f6ad054829916ac8404eb25e284e7", null ],
-    [ "~SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0", null ],
     [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#a6268c6637a325229c73ac49d7af7882e", null ],
     [ "~SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0", null ],
-    [ "shmem", "classflair_1_1sensor_1_1_simu_camera.html#a372e4bfd6e464c715c90507787243118", null ]
+    [ "shmem", "classflair_1_1sensor_1_1_simu_camera.html#a9a89781a160538e59f98615339187b8c", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 98)
@@ -1,6 +1,4 @@
 var classflair_1_1sensor_1_1_simu_gps =
 [
-    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#ab44c7691b45759ee6529031d67b07c76", null ],
-    [ "~SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3", null ],
     [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b", null ],
     [ "~SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3", null ]
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_imu.js	(revision 98)
@@ -1,6 +1,4 @@
 var classflair_1_1sensor_1_1_simu_imu =
 [
-    [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a021162094240f8debbd3cb6d45f3ac7a", null ],
-    [ "~SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf", null ],
     [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f", null ],
     [ "~SimuImu", "classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf", null ]
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_laser.js	(revision 98)
@@ -1,8 +1,6 @@
 var classflair_1_1sensor_1_1_simu_laser =
 [
-    [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#ac80c781316ba67ab43371095cc96b888", null ],
-    [ "~SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5", null ],
     [ "SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a22315194992008f2c5b86dd50f63eaf5", null ],
     [ "~SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5", null ],
-    [ "shmem", "classflair_1_1sensor_1_1_simu_laser.html#a457114cf156a631a0cf9334fd050b098", null ]
+    [ "shmem", "classflair_1_1sensor_1_1_simu_laser.html#aa9dc0c4f54d34746206067da31794b80", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_pressure_sensor.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_pressure_sensor.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_pressure_sensor.js	(revision 98)
@@ -1,8 +1,6 @@
 var classflair_1_1sensor_1_1_simu_pressure_sensor =
 [
-    [ "SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a1f06458934dd62704d9e9b36e74ef4f9", null ],
-    [ "~SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a48115dfbc964e767360e3ba0e74a8e60", null ],
     [ "SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a3f2a22d057a05792e51970737086f009", null ],
     [ "~SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#a48115dfbc964e767360e3ba0e74a8e60", null ],
-    [ "shmem", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#ac7f371f21db99cc9499c44774f32e06f", null ]
+    [ "shmem", "classflair_1_1sensor_1_1_simu_pressure_sensor.html#ae456510b7198d7342f4ae6f2a269cdb6", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simu_us.js	(revision 98)
@@ -1,8 +1,6 @@
 var classflair_1_1sensor_1_1_simu_us =
 [
-    [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a58061ed933ca6d95f563886a8b9ff4d9", null ],
-    [ "~SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4", null ],
     [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a6809a978e76619c5bfff3aca092e49ed", null ],
     [ "~SimuUs", "classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4", null ],
-    [ "shmem", "classflair_1_1sensor_1_1_simu_us.html#a6c3994b195405e215d8ba54d66deb7a7", null ]
+    [ "shmem", "classflair_1_1sensor_1_1_simu_us.html#af86622810d283ac7710e70eddc30e3f1", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_camera.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_camera.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_camera.js	(revision 98)
@@ -0,0 +1,6 @@
+var classflair_1_1sensor_1_1_simulated_camera =
+[
+    [ "SimulatedCamera", "classflair_1_1sensor_1_1_simulated_camera.html#adf6e2f7150633c4243f3a7c6e3ec8b4b", null ],
+    [ "~SimulatedCamera", "classflair_1_1sensor_1_1_simulated_camera.html#a5c61c74313f8242e8e14f1f48d9e6f66", null ],
+    [ "shmem", "classflair_1_1sensor_1_1_simulated_camera.html#ab52de6b3325bdf8ce46a233b8d9e7399", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_gps.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_gps.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_gps.js	(revision 98)
@@ -0,0 +1,5 @@
+var classflair_1_1sensor_1_1_simulated_gps =
+[
+    [ "SimulatedGps", "classflair_1_1sensor_1_1_simulated_gps.html#abec55ce6790d1b19d6f07449b4145d36", null ],
+    [ "~SimulatedGps", "classflair_1_1sensor_1_1_simulated_gps.html#ad3782b267d71611d56414bdf6b4e8d92", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_imu.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_imu.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_imu.js	(revision 98)
@@ -0,0 +1,5 @@
+var classflair_1_1sensor_1_1_simulated_imu =
+[
+    [ "SimulatedImu", "classflair_1_1sensor_1_1_simulated_imu.html#ac02136d55505be5e458948169c88ebcd", null ],
+    [ "~SimulatedImu", "classflair_1_1sensor_1_1_simulated_imu.html#a4145d0246cc6646e0c926ff86393d274", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_laser.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_laser.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_laser.js	(revision 98)
@@ -0,0 +1,6 @@
+var classflair_1_1sensor_1_1_simulated_laser =
+[
+    [ "SimulatedLaser", "classflair_1_1sensor_1_1_simulated_laser.html#a3e97bd31d4984096f07990ac80651531", null ],
+    [ "~SimulatedLaser", "classflair_1_1sensor_1_1_simulated_laser.html#acaf6acaafeb7fd630dffeb4c9a7f9e5c", null ],
+    [ "shmem", "classflair_1_1sensor_1_1_simulated_laser.html#acfcfa90618374ca8835fdd4be15e6c92", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_pressure_sensor.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_pressure_sensor.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_pressure_sensor.js	(revision 98)
@@ -0,0 +1,6 @@
+var classflair_1_1sensor_1_1_simulated_pressure_sensor =
+[
+    [ "SimulatedPressureSensor", "classflair_1_1sensor_1_1_simulated_pressure_sensor.html#a5eda2573d164acb3d2542f306cb1966e", null ],
+    [ "~SimulatedPressureSensor", "classflair_1_1sensor_1_1_simulated_pressure_sensor.html#a9163b29437322719dc01d614e3246fdb", null ],
+    [ "shmem", "classflair_1_1sensor_1_1_simulated_pressure_sensor.html#a89f63fc9305f045065618638eb010e6e", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_us.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_us.js	(revision 98)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_simulated_us.js	(revision 98)
@@ -0,0 +1,6 @@
+var classflair_1_1sensor_1_1_simulated_us =
+[
+    [ "SimulatedUs", "classflair_1_1sensor_1_1_simulated_us.html#a627bc8b24c9c2da3e2cd430fe1712c0a", null ],
+    [ "~SimulatedUs", "classflair_1_1sensor_1_1_simulated_us.html#a237889e8f626e5cea54237fa16253b12", null ],
+    [ "shmem", "classflair_1_1sensor_1_1_simulated_us.html#a77167c4930281a2b8a03f2b93af47829", null ]
+];
Index: /trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1sensor_1_1_vrpn_object.js	(revision 98)
@@ -1,6 +1,6 @@
 var classflair_1_1sensor_1_1_vrpn_object =
 [
-    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#ae63bc389dc7a4eb878d07cb71eb7d710", null ],
-    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#a18c54c8e2e297647fc2ffdebc2835c2f", null ],
+    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#a334e0f4266682bb0f95a81eb1bacca46", null ],
+    [ "VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#a199dd7221f3330bfebe9b799c4c6036b", null ],
     [ "~VrpnObject", "classflair_1_1sensor_1_1_vrpn_object.html#a3f763c10994c9105bc24b3ab61f90afa", null ],
     [ "GetPlotTab", "classflair_1_1sensor_1_1_vrpn_object.html#a3ab137dde2f6c3d1d8086dd886e1c539", null ],
@@ -14,5 +14,4 @@
     [ "yPlot", "classflair_1_1sensor_1_1_vrpn_object.html#af6e2b048e6e5c74f03a5bf1d767e5819", null ],
     [ "zPlot", "classflair_1_1sensor_1_1_vrpn_object.html#aa913d9d717b7321cf9f4b4fe4ebb6b9c", null ],
-    [ "::VrpnObject_impl", "classflair_1_1sensor_1_1_vrpn_object.html#a0f046b0ea0e4fe1509654e4149c7ce25", null ],
-    [ "::VrpnClient_impl", "classflair_1_1sensor_1_1_vrpn_object.html#a01f756f3d1e72afaf1bde94e3b34c587", null ]
+    [ "::VrpnObject_impl", "classflair_1_1sensor_1_1_vrpn_object.html#a0f046b0ea0e4fe1509654e4149c7ce25", null ]
 ];
Index: /trunk/doc/Flair/classflair_1_1simulator_1_1_blade.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1simulator_1_1_blade.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1simulator_1_1_blade.js	(revision 98)
@@ -2,4 +2,5 @@
 [
     [ "Blade", "classflair_1_1simulator_1_1_blade.html#ada2724d30a3d735425c9db73da3127a8", null ],
+    [ "Blade", "classflair_1_1simulator_1_1_blade.html#a3e6efe30829e9d4fb0e9e18d00340386", null ],
     [ "OnRegisterSceneNode", "classflair_1_1simulator_1_1_blade.html#ac96e1a6d13b35d954539b5dd6a02589a", null ],
     [ "render", "classflair_1_1simulator_1_1_blade.html#a827ee4589f46349288080e843f1e4ad4", null ],
Index: /trunk/doc/Flair/classflair_1_1simulator_1_1_mesh_scene_node.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1simulator_1_1_mesh_scene_node.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1simulator_1_1_mesh_scene_node.js	(revision 98)
@@ -2,4 +2,5 @@
 [
     [ "MeshSceneNode", "classflair_1_1simulator_1_1_mesh_scene_node.html#a44ec4eda0d2534eb350d8c5637403e82", null ],
+    [ "MeshSceneNode", "classflair_1_1simulator_1_1_mesh_scene_node.html#a2844e6edb863df40e1d284f3df8005de", null ],
     [ "OnRegisterSceneNode", "classflair_1_1simulator_1_1_mesh_scene_node.html#aa8257b2c3e75289fa3f930739305830a", null ],
     [ "render", "classflair_1_1simulator_1_1_mesh_scene_node.html#a30c2dbf42bf120534495b31d78111a74", null ],
Index: /trunk/doc/Flair/classflair_1_1simulator_1_1_simulator.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1simulator_1_1_simulator.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1simulator_1_1_simulator.js	(revision 98)
@@ -1,5 +1,5 @@
 var classflair_1_1simulator_1_1_simulator =
 [
-    [ "Simulator", "classflair_1_1simulator_1_1_simulator.html#ae1b6605cf24ad921aeda4d0888b54baa", null ],
+    [ "Simulator", "classflair_1_1simulator_1_1_simulator.html#a7bcc5e60a2566f1af8479a1da8366eb2", null ],
     [ "~Simulator", "classflair_1_1simulator_1_1_simulator.html#a2c12879c6cefa5f465d3d5b0b150d777", null ],
     [ "RunSimu", "classflair_1_1simulator_1_1_simulator.html#a580660c762f807a6bd76dc9bfed48ad9", null ],
Index: /trunk/doc/Flair/classflair_1_1simulator_1_1_visualization_camera.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1simulator_1_1_visualization_camera.js	(revision 97)
+++ /trunk/doc/Flair/classflair_1_1simulator_1_1_visualization_camera.js	(revision 98)
@@ -1,4 +1,9 @@
 var classflair_1_1simulator_1_1_visualization_camera =
 [
+    [ "AxisType", "classflair_1_1simulator_1_1_visualization_camera.html#a1b2f957050ac19ed23a0f3c39eb37963", [
+      [ "vrpn", "classflair_1_1simulator_1_1_visualization_camera.html#a1b2f957050ac19ed23a0f3c39eb37963a88a0e4ad50bb10cd38d387467bee5667", null ],
+      [ "earth", "classflair_1_1simulator_1_1_visualization_camera.html#a1b2f957050ac19ed23a0f3c39eb37963a852488ddd9570bc877783bf4397563e0", null ],
+      [ "none", "classflair_1_1simulator_1_1_visualization_camera.html#a1b2f957050ac19ed23a0f3c39eb37963a334c4a4c42fdb79d7ebc3e73b517e6f8", null ]
+    ] ],
     [ "VisualizationCamera", "classflair_1_1simulator_1_1_visualization_camera.html#a3ea1eff51f053d881aebfcab6eef42b5", null ],
     [ "~VisualizationCamera", "classflair_1_1simulator_1_1_visualization_camera.html#a37457e3f62ec324f6a8c5116e5ef27e8", null ],
@@ -7,6 +12,8 @@
     [ "getCameraSceneNode", "classflair_1_1simulator_1_1_visualization_camera.html#aee63f36269614f956ca607ae36d191fb", null ],
     [ "getName", "classflair_1_1simulator_1_1_visualization_camera.html#add4b9d179dbd2bd8422bd49239b33dcb", null ],
+    [ "renderAxisToTexture", "classflair_1_1simulator_1_1_visualization_camera.html#a4550acc8d6efd8ba40a29a72da637f5f", null ],
     [ "LMouseKey", "classflair_1_1simulator_1_1_visualization_camera.html#a275488408235bb7d13171714c7dae00c", null ],
     [ "camera", "classflair_1_1simulator_1_1_visualization_camera.html#af31e96590ba885c4e6b9ae4b3223f885", null ],
+    [ "axis_camera", "classflair_1_1simulator_1_1_visualization_camera.html#a41f68bcef3b808fc9e7c5e2590654fe4", null ],
     [ "MousePos", "classflair_1_1simulator_1_1_visualization_camera.html#a179401c09a6a0c3ec733658e6aed06c4", null ],
     [ "currentZoom", "classflair_1_1simulator_1_1_visualization_camera.html#a5c08e08f09414391a13423ea15bf3d8f", null ],
Index: /trunk/doc/Flair/files.js
===================================================================
--- /trunk/doc/Flair/files.js	(revision 97)
+++ /trunk/doc/Flair/files.js	(revision 98)
@@ -241,24 +241,48 @@
       [ "SharedMem", "classflair_1_1core_1_1_shared_mem.html", "classflair_1_1core_1_1_shared_mem" ]
     ] ],
-    [ "SimuAhrs.h", "_simu_ahrs_8h.html", [
-      [ "SimuAhrs", "classflair_1_1filter_1_1_simu_ahrs.html", "classflair_1_1filter_1_1_simu_ahrs" ]
-    ] ],
-    [ "FlairSensorActuator/src/SimuBldc.h", "_flair_sensor_actuator_2src_2_simu_bldc_8h_source.html", null ],
-    [ "FlairSimulator/src/SimuBldc.h", "_flair_simulator_2src_2_simu_bldc_8h_source.html", null ],
-    [ "FlairSensorActuator/src/SimuCamera.h", "_flair_sensor_actuator_2src_2_simu_camera_8h_source.html", null ],
-    [ "FlairSimulator/src/SimuCamera.h", "_flair_simulator_2src_2_simu_camera_8h_source.html", null ],
+    [ "SimuBldc.h", "_simu_bldc_8h.html", [
+      [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html", "classflair_1_1actuator_1_1_simu_bldc" ]
+    ] ],
+    [ "SimuCamera.h", "_simu_camera_8h.html", [
+      [ "SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", "classflair_1_1sensor_1_1_simu_camera" ]
+    ] ],
     [ "SimuCameraGL.h", "_simu_camera_g_l_8h.html", "_simu_camera_g_l_8h" ],
-    [ "FlairSensorActuator/src/SimuGps.h", "_flair_sensor_actuator_2src_2_simu_gps_8h_source.html", null ],
-    [ "FlairSimulator/src/SimuGps.h", "_flair_simulator_2src_2_simu_gps_8h_source.html", null ],
-    [ "FlairSensorActuator/src/SimuImu.h", "_flair_sensor_actuator_2src_2_simu_imu_8h_source.html", null ],
-    [ "FlairSimulator/src/SimuImu.h", "_flair_simulator_2src_2_simu_imu_8h_source.html", null ],
-    [ "FlairSensorActuator/src/SimuLaser.h", "_flair_sensor_actuator_2src_2_simu_laser_8h_source.html", null ],
-    [ "FlairSimulator/src/SimuLaser.h", "_flair_simulator_2src_2_simu_laser_8h_source.html", null ],
+    [ "SimuGps.h", "_simu_gps_8h.html", [
+      [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", "classflair_1_1sensor_1_1_simu_gps" ]
+    ] ],
+    [ "SimuImu.h", "_simu_imu_8h.html", [
+      [ "SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", "classflair_1_1sensor_1_1_simu_imu" ]
+    ] ],
+    [ "SimuLaser.h", "_simu_laser_8h_source.html", null ],
     [ "SimuLaserGL.h", "_simu_laser_g_l_8h_source.html", null ],
+    [ "SimulatedAhrs.h", "_simulated_ahrs_8h.html", [
+      [ "SimulatedAhrs", "classflair_1_1filter_1_1_simulated_ahrs.html", "classflair_1_1filter_1_1_simulated_ahrs" ]
+    ] ],
+    [ "SimulatedBldc.h", "_simulated_bldc_8h.html", [
+      [ "SimulatedBldc", "classflair_1_1actuator_1_1_simulated_bldc.html", "classflair_1_1actuator_1_1_simulated_bldc" ]
+    ] ],
+    [ "SimulatedCamera.h", "_simulated_camera_8h.html", [
+      [ "SimulatedCamera", "classflair_1_1sensor_1_1_simulated_camera.html", "classflair_1_1sensor_1_1_simulated_camera" ]
+    ] ],
+    [ "SimulatedGps.h", "_simulated_gps_8h.html", [
+      [ "SimulatedGps", "classflair_1_1sensor_1_1_simulated_gps.html", "classflair_1_1sensor_1_1_simulated_gps" ]
+    ] ],
+    [ "SimulatedImu.h", "_simulated_imu_8h.html", [
+      [ "SimulatedImu", "classflair_1_1sensor_1_1_simulated_imu.html", "classflair_1_1sensor_1_1_simulated_imu" ]
+    ] ],
+    [ "SimulatedLaser.h", "_simulated_laser_8h_source.html", null ],
+    [ "SimulatedPressureSensor.h", "_simulated_pressure_sensor_8h.html", [
+      [ "SimulatedPressureSensor", "classflair_1_1sensor_1_1_simulated_pressure_sensor.html", "classflair_1_1sensor_1_1_simulated_pressure_sensor" ]
+    ] ],
+    [ "SimulatedUs.h", "_simulated_us_8h.html", [
+      [ "SimulatedUs", "classflair_1_1sensor_1_1_simulated_us.html", "classflair_1_1sensor_1_1_simulated_us" ]
+    ] ],
     [ "Simulator.h", "_simulator_8h_source.html", null ],
-    [ "FlairSensorActuator/src/SimuPressureSensor.h", "_flair_sensor_actuator_2src_2_simu_pressure_sensor_8h_source.html", null ],
-    [ "FlairSimulator/src/SimuPressureSensor.h", "_flair_simulator_2src_2_simu_pressure_sensor_8h_source.html", null ],
-    [ "FlairSensorActuator/src/SimuUs.h", "_flair_sensor_actuator_2src_2_simu_us_8h_source.html", null ],
-    [ "FlairSimulator/src/SimuUs.h", "_flair_simulator_2src_2_simu_us_8h_source.html", null ],
+    [ "SimuPressureSensor.h", "_simu_pressure_sensor_8h.html", [
+      [ "SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", "classflair_1_1sensor_1_1_simu_pressure_sensor" ]
+    ] ],
+    [ "SimuUs.h", "_simu_us_8h.html", [
+      [ "SimuUs", "classflair_1_1sensor_1_1_simu_us.html", "classflair_1_1sensor_1_1_simu_us" ]
+    ] ],
     [ "SimuUsGL.h", "_simu_us_g_l_8h.html", [
       [ "SimuUsGL", "classflair_1_1sensor_1_1_simu_us_g_l.html", "classflair_1_1sensor_1_1_simu_us_g_l" ]
@@ -305,4 +329,5 @@
     ] ],
     [ "UavStateMachine.h", "_uav_state_machine_8h_source.html", null ],
+    [ "UavVrpnObject.h", "_uav_vrpn_object_8h_source.html", null ],
     [ "UdpSocket.h", "_udp_socket_8h_source.html", null ],
     [ "UdtSocket.h", "_udt_socket_8h.html", "_udt_socket_8h" ],
Index: /trunk/doc/Flair/hierarchy.js
===================================================================
--- /trunk/doc/Flair/hierarchy.js	(revision 97)
+++ /trunk/doc/Flair/hierarchy.js	(revision 98)
@@ -53,5 +53,5 @@
           [ "flair::actuator::AfroBldc", "classflair_1_1actuator_1_1_afro_bldc.html", null ],
           [ "flair::actuator::BlCtrlV2", "classflair_1_1actuator_1_1_bl_ctrl_v2.html", null ],
-          [ "flair::actuator::SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html", null ],
+          [ "flair::actuator::SimulatedBldc", "classflair_1_1actuator_1_1_simulated_bldc.html", null ],
           [ "flair::actuator::XBldc", "classflair_1_1actuator_1_1_x_bldc.html", null ]
         ] ],
@@ -61,5 +61,5 @@
           [ "flair::filter::AhrsKalman", "classflair_1_1filter_1_1_ahrs_kalman.html", null ],
           [ "flair::filter::Gx3_25_ahrs", "classflair_1_1filter_1_1_gx3__25__ahrs.html", null ],
-          [ "flair::filter::SimuAhrs", "classflair_1_1filter_1_1_simu_ahrs.html", null ]
+          [ "flair::filter::SimulatedAhrs", "classflair_1_1filter_1_1_simulated_ahrs.html", null ]
         ] ],
         [ "flair::filter::ButterworthLowPass", "classflair_1_1filter_1_1_butterworth_low_pass.html", null ],
@@ -79,7 +79,5 @@
         [ "flair::meta::MetaDualShock3", "classflair_1_1meta_1_1_meta_dual_shock3.html", null ],
         [ "flair::sensor::Camera", "classflair_1_1sensor_1_1_camera.html", [
-          [ "flair::sensor::SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", [
-            [ "flair::sensor::SimuCameraGL", "classflair_1_1sensor_1_1_simu_camera_g_l.html", null ]
-          ] ],
+          [ "flair::sensor::SimulatedCamera", "classflair_1_1sensor_1_1_simulated_camera.html", null ],
           [ "flair::sensor::V4LCamera", "classflair_1_1sensor_1_1_v4_l_camera.html", [
             [ "flair::sensor::Ps3Eye", "classflair_1_1sensor_1_1_ps3_eye.html", null ]
@@ -89,11 +87,9 @@
         [ "flair::sensor::Imu", "classflair_1_1sensor_1_1_imu.html", [
           [ "flair::sensor::Gx3_25_imu", "classflair_1_1sensor_1_1_gx3__25__imu.html", null ],
-          [ "flair::sensor::SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", null ]
+          [ "flair::sensor::SimulatedImu", "classflair_1_1sensor_1_1_simulated_imu.html", null ]
         ] ],
         [ "flair::sensor::LaserRangeFinder", "classflair_1_1sensor_1_1_laser_range_finder.html", [
           [ "flair::sensor::HokuyoUTM30Lx", "classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html", null ],
-          [ "flair::sensor::SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", [
-            [ "flair::sensor::SimuLaserGL", "classflair_1_1sensor_1_1_simu_laser_g_l.html", null ]
-          ] ]
+          [ "flair::sensor::SimulatedLaser", "classflair_1_1sensor_1_1_simulated_laser.html", null ]
         ] ],
         [ "flair::sensor::NmeaGps", "classflair_1_1sensor_1_1_nmea_gps.html", [
@@ -101,14 +97,18 @@
           [ "flair::sensor::NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html", null ],
           [ "flair::sensor::Novatel", "classflair_1_1sensor_1_1_novatel.html", null ],
-          [ "flair::sensor::SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", null ]
+          [ "flair::sensor::SimulatedGps", "classflair_1_1sensor_1_1_simulated_gps.html", null ]
         ] ],
         [ "flair::sensor::PressureSensor", "classflair_1_1sensor_1_1_pressure_sensor.html", [
-          [ "flair::sensor::SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", null ]
+          [ "flair::sensor::SimulatedPressureSensor", "classflair_1_1sensor_1_1_simulated_pressure_sensor.html", null ]
         ] ],
         [ "flair::sensor::RadioReceiver", "classflair_1_1sensor_1_1_radio_receiver.html", null ],
-        [ "flair::sensor::SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", null ],
+        [ "flair::sensor::SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", [
+          [ "flair::sensor::SimuCameraGL", "classflair_1_1sensor_1_1_simu_camera_g_l.html", null ]
+        ] ],
         [ "flair::sensor::SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", null ],
         [ "flair::sensor::SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", null ],
-        [ "flair::sensor::SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", null ],
+        [ "flair::sensor::SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", [
+          [ "flair::sensor::SimuLaserGL", "classflair_1_1sensor_1_1_simu_laser_g_l.html", null ]
+        ] ],
         [ "flair::sensor::SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", null ],
         [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", [
@@ -120,5 +120,5 @@
         ] ],
         [ "flair::sensor::UsRangeFinder", "classflair_1_1sensor_1_1_us_range_finder.html", [
-          [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", null ],
+          [ "flair::sensor::SimulatedUs", "classflair_1_1sensor_1_1_simulated_us.html", null ],
           [ "flair::sensor::Srf08", "classflair_1_1sensor_1_1_srf08.html", null ]
         ] ],
@@ -165,10 +165,10 @@
         [ "flair::sensor::NeoM8N", "classflair_1_1sensor_1_1_neo_m8_n.html", null ],
         [ "flair::sensor::Novatel", "classflair_1_1sensor_1_1_novatel.html", null ],
-        [ "flair::sensor::SimuCamera", "classflair_1_1sensor_1_1_simu_camera.html", null ],
-        [ "flair::sensor::SimuGps", "classflair_1_1sensor_1_1_simu_gps.html", null ],
-        [ "flair::sensor::SimuImu", "classflair_1_1sensor_1_1_simu_imu.html", null ],
-        [ "flair::sensor::SimuLaser", "classflair_1_1sensor_1_1_simu_laser.html", null ],
-        [ "flair::sensor::SimuPressureSensor", "classflair_1_1sensor_1_1_simu_pressure_sensor.html", null ],
-        [ "flair::sensor::SimuUs", "classflair_1_1sensor_1_1_simu_us.html", null ],
+        [ "flair::sensor::SimulatedCamera", "classflair_1_1sensor_1_1_simulated_camera.html", null ],
+        [ "flair::sensor::SimulatedGps", "classflair_1_1sensor_1_1_simulated_gps.html", null ],
+        [ "flair::sensor::SimulatedImu", "classflair_1_1sensor_1_1_simulated_imu.html", null ],
+        [ "flair::sensor::SimulatedLaser", "classflair_1_1sensor_1_1_simulated_laser.html", null ],
+        [ "flair::sensor::SimulatedPressureSensor", "classflair_1_1sensor_1_1_simulated_pressure_sensor.html", null ],
+        [ "flair::sensor::SimulatedUs", "classflair_1_1sensor_1_1_simulated_us.html", null ],
         [ "flair::sensor::Srf08", "classflair_1_1sensor_1_1_srf08.html", null ],
         [ "flair::sensor::TargetController", "classflair_1_1sensor_1_1_target_controller.html", null ],
